<?php

namespace App\Http\Livewire;

use Livewire\Component;
use App\Models\TipoGasto;

class Tipo_gasto  extends Component
{
    public $data, $descripcion, $selected_id;
    public $updateMode = false;

    public function render()
    {
        $this->data = TipoGasto::all();
        return view('livewire.Tipogastos.tipo_gasto');
    }

    private function resetInput()
    {
        $this->descripcion = null;
    }

    public function store()
    {
        $this->validate([
            'descripcion' => 'required|min:2'
        ]);
        TipoGasto::create([
            'descripcion' => $this->descripcion
        ]);

        $this->resetInput();
    }

    public function edit($id)
    {
        $record = TipoGasto::findOrFail($id);

        $this->selected_id = $id;
        $this->descripcion = $record->descripcion;

        $this->updateMode = true;

    }

    public function update()
    {
        $this->validate([
            'selected_id' => 'required|numeric',
            'descripcion' => 'required|min:2'
        ]);

        if ($this->selected_id)
        {
            $record = TipoGasto::find($this->selected_id);
            $record->update([
                'descripcion' => $this->descripcion
            ]);

            $this->resetInput();
            $this->updateMode = false;
        }
    }

    public function destroy($id)
    {
        if ($id) {
            $record = TipoGasto::where('id', $id);
            $record->delete();
        }
    }
}
