<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('proveedores', function (Blueprint $table) {
            $table->id();
            $table->string('clave_interna', 20)->nullable();
            $table->string('nombre_negocio', 100)->nullable();
            $table->string('direccion', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('telefono', 10)->nullable();
            $table->foreignId('tipo_proveedor_id')->constrained('tipos_proveedores');
            $table->string('rfc', 20)->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('proveedores');
    }
};
